%define upstream_name jdcal

Name:       python-%{upstream_name}
Version:    1.4.1
Release:    %mkrel 3
Summary:    Julian dates from proleptic Gregorian and Julian calendars
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/jdcal/
Source0:    https://files.pythonhosted.org/packages/7b/b0/fa20fce23e9c3b55b640e629cb5edf32a85e6af3cf7af599940eb0c753fe/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
This module contains functions for converting between Julian dates and calendar
dates.

%package -n     python3-%{upstream_name}
Summary:        A Python library to read/write Excel 2010 xlsx/xlsm files
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
This module contains functions for converting between Julian dates and calendar
dates.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/jdcal.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/jdcal-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.4.1-3.mga8
+ Revision: 1608280
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 1.4.1-1.mga8
+ Revision: 1569111
- imported package python-jdcal

